/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Interface.java to edit this template
 */
package com.jcg.springdatajpaview.repository;

import org.springframework.data.repository.NoRepositoryBean;
import java.util.List;
import java.util.Optional;
import org.springframework.boot.autoconfigure.data.web.SpringDataWebProperties.Pageable;
import org.springframework.boot.autoconfigure.data.web.SpringDataWebProperties.Sort;
import org.springframework.data.domain.Page;
import org.springframework.data.repository.Repository;

/**
 *
 * @author omozegieaziegbe
 */
@NoRepositoryBean
public interface ReadOnlyRepository<T, ID> extends Repository<T, ID> {

    List<T> findAll();
    
    Optional<T> findById(ID id);

    long count();
    
    List<T> findAllById(Iterable<ID> ids);
    
    boolean existsById(ID id);
}
