-- Create customers table
CREATE TABLE customers (
    id INT PRIMARY KEY,
    name VARCHAR(255),
    email VARCHAR(255)
);

-- Create orders table
CREATE TABLE orders (
    id INT PRIMARY KEY,
    customer_id INT,
    amount DECIMAL(10, 2),
    order_date DATE,
    FOREIGN KEY (customer_id) REFERENCES customers(id)
);

-- Create customer_orders_view (database view)
CREATE VIEW customer_orders_view AS
SELECT 
    o.id AS order_id,
    o.customer_id,
    c.name AS customer_name,
    o.amount,
    o.order_date
FROM 
    orders o
JOIN 
    customers c ON o.customer_id = c.id;

